#!./sdbsiod -f

; This can be any valid sdb url
(define url "sqlite3:db=test")
;(define url "mysql:db=test:uid=root")
;(define url "oracle:uid=system/manager@test")
;(define url "postgres:host=localhost:db=test")

; Uncomment to speed up
; Without this, the database will be opened and closed with each query
;(define url (sdb_open url))

(puts (string-append "url = " url "\n"))

(define (my_cb n p closure)
 (if (null? p)
     (puts "\n")
     (begin (puts (car p))
            (puts " ")
            (my_cb (- n 1) (cdr p) closure)))
 0)

; This little function makes the interface more convenient
(define (sdb url query)
 (sdb_query url query my_cb nil))

(sdb url "drop table b")
(sdb url "create table b (a integer, b integer)")
(sdb url "insert into b values (1, 2)")
(sdb url "select * from b")
(sdb url "insert into b select * from b")
(sdb url "insert into b select * from b")
(sdb url "insert into b select * from b")
(sdb url "insert into b select * from b")
(sdb url "select count(*) from b")

